Bug 999812 - RestAPI URI template style query for 'users' and 'disks' resources do not work.
RestAPI URI template style query for 'users' and 'disks' resources do not work.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Ori Liel
Ondra Machacek
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 03:48 EDT by Prasad Mukhedkar
Modified: 2016-02-10 14:12 EST (History)
9 users (show)

See Also:
Fixed In Version: is12
Doc Type: Bug Fix
Doc Text:
It is now possible for the REST API to retrieve users and disk resources by pagination, so the results can be sorted accordingly to the specified category.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 12:36:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad Mukhedkar 2013-08-22 03:48:13 EDT
Description of problem:

I have more than 100 users and more than 100 vms. I am able to retrieve all vms by pagination: 

GET /api/vms?search=sortby%20name%20desc%20page%201

But when I used same query style for 'users' and 'disks' resources. It does not return any value at all:

GET /api/users?search=sortby%20name%20desc%20page%201
GET /api/disks?search=sortby%20name%20desc%20page%1


How reproducible:
always 

Steps to Reproduce:
1. Just try to open this url: http://rhevm-fqdn/api/disks?search=sortby%20name%20desc%20page%1
2. output will blank 


Actual results:
No output

Expected results:
like 'vms' resources, users and disks should also work properly

Additional info:
Comment 1 Ori Liel 2013-08-27 05:39:49 EDT
With users there is a real problem, fixed by this patch: 

   http://gerrit.ovirt.org/#/c/18593/

But with disks the problem is in the query that you used - when using 'alias' instead of 'name', it works (we don't use 'name' field for disk).
Comment 2 Ori Liel 2013-08-27 07:58:55 EDT
Fixed, 

commit 57ddedfb511c24e2d56e691d9c87f5d576567196
Comment 3 Ondra Machacek 2013-11-01 05:47:17 EDT
Both queries works ok in is21.
Result is sorted disks/users.

GET /users?search=sortby%20name%20desc%20page%201
GET /disks?search=sortby%20alias%20desc%20page%201
Comment 4 Charlie 2013-11-27 19:19:02 EST
This bug is currently attached to errata RHEA-2013:15231. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.
Comment 5 errata-xmlrpc 2014-01-21 12:36:02 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html

Note You need to log in before you can comment on or make changes to this bug.